1.1
1.1
put /v1/privatelink-endpoints/{privatelink_endpoint_id}/connection
Description
Connect PrivateLink Endpoint
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | privatelink_endpoint_id required | PrivateLink Endpoint ID Example : | string | None |
| body | body required | PrivateLinkEndpointConnectionRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PrivateLinkEndpointSummaryShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/privatelink-endpoints/{privatelink_endpoint_id}/connection
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"
Request body
{
"type": "DISCONNECT"
}
Example HTTP response
Response 200
{
"privatelink_endpoint": {
"created_at": "2026-02-11T06:45:07.468Z",
"id": "",
"state": "REQUESTING"
}
}